#pragma once 

#include "BehaviourScripts/Camera.hpp"
#include "GL/gl3w.h"
#include "GL/gl.h"

namespace TSE::OpenGL
{
    class CameraHelperOpenGL : public ICameraHelper
    {
    public:
        inline void OnRenderTargetChanged(float width, float height) override
        {
            glViewport(0, 0, width, height);
        };    
    };
} // namespace TSE::OpenGL
